#! /usr/bin/rpm
%define  sovers         1
%define _unpackaged_files_terminate_build  0
 
# --------------------------------------------------------------------
Summary: 	Run-time libraries and programs for the ALTRO USB interface card
Name: 		altro
Version: 	0.6
Release: 	1
License: 	GPL
Group: 		Development/Libraries
URL: 		http://cern.ch/cholm/alice/fee
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kernel-source
Requires:	%{name}-driver

%description
Run-time libraries and programs for the ALTRO USB interface card

%files
%defattr(-,root,root)
%{_prefix}/sbin/altro
%{_prefix}/bin/altrobus_scope
%{_prefix}/bin/altroscope
%{_prefix}/bin/goofiescope
%{_prefix}/bin/u2fscope
%{_prefix}/bin/u2f_acq
%{_prefix}/lib/lib*.so.*
%{_prefix}/share/man/man8/altro.8*
%{_prefix}/share/man/man1/altrobus_scope.1*
%{_prefix}/share/man/man1/altroscope.1*
%{_prefix}/share/man/man1/goofiescope.1*
%{_prefix}/share/man/man1/u2fscope.1*
%{_prefix}/share/man/man1/u2f_acq.1*
/etc/udev/rules.d/altro.rules

# --------------------------------------------------------------------
%package driver
Summary:	Driver for the ALTRO USB interface card
Group:		Development/System
%description driver
Driver for the ALTRO USB interface card 

%files driver
%defattr(-,root,root)
%{_prefix}/lib/altro/modules


# --------------------------------------------------------------------
%package devel
Summary:	Driver for the ALTRO USB interface card
Group:		Development/System
Requires:	%{name}
%description devel
Driver for the ALTRO USB interface card 

%files devel
%defattr(-,root,root)
%{_prefix}/bin/altro-config
%{_prefix}/share/man/man1/altro-config.1*
%{_prefix}/lib/lib*.so
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/include/altro

# --------------------------------------------------------------------
%prep
%setup -q

%build
%configure 			\
	--disable-java		\
	--disable-jni		\
	--disable-labview	
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Tue May 23 2006 Forward Multiplicity Detector <fmd@dhcp61.dhcp.nbi.dk> 
- Initial build.

# --------------------------------------------------------------------
#
# EOF
#


